> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload entity custom data



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/MarketData/UploadEntityCustomData
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/MarketData/UploadEntityCustomData:
    post:
      tags:
        - MarketData
      summary: Upload entity custom data
      operationId: UploadEntityCustomData
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiUploadEntityCustomDataRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiUploadEntityCustomDataRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiUploadEntityCustomDataRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiUploadEntityCustomDataRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiUploadEntityCustomDataResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiUploadEntityCustomDataRequest:
      example:
        use_best_effort: true
        entity_custom_datas:
          - region_of_risk: region_of_risk
            credit_rating: credit_rating
            country_of_risk: country_of_risk
            instrument_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            issuer_identifier:
              code: code
              identifier_type: DerivitecBondIssuerId
            sector: sector
          - region_of_risk: region_of_risk
            credit_rating: credit_rating
            country_of_risk: country_of_risk
            instrument_identifier:
              code: code
              market_identification_code: market_identification_code
              identifier_type: Derivitec
            issuer_identifier:
              code: code
              identifier_type: DerivitecBondIssuerId
            sector: sector
      properties:
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        use_best_effort:
          type: boolean
        entity_custom_datas:
          items:
            $ref: '#/components/schemas/EntityCustomData'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiUploadEntityCustomDataRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiUploadEntityCustomDataResponse:
      example:
        entity_ids:
          - entity_ids
          - entity_ids
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        entity_ids:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiUploadEntityCustomDataResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EntityCustomData:
      example:
        region_of_risk: region_of_risk
        credit_rating: credit_rating
        country_of_risk: country_of_risk
        instrument_identifier:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
        issuer_identifier:
          code: code
          identifier_type: DerivitecBondIssuerId
        sector: sector
      properties:
        provider_id:
          nullable: true
          type: string
        issuer_identifier:
          $ref: '#/components/schemas/IssuerIdentifier'
        instrument_identifier:
          $ref: '#/components/schemas/InstrumentIdentifier'
        country_of_risk:
          nullable: true
          type: string
        credit_rating:
          nullable: true
          type: string
        region_of_risk:
          nullable: true
          type: string
        sector:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.EntityCustomData, Derivitec.Web.Core
      required:
        - $type
      type: object
    IssuerIdentifier:
      example:
        code: code
        identifier_type: DerivitecBondIssuerId
      properties:
        code:
          nullable: true
          type: string
        identifier_type:
          enum:
            - DerivitecBondIssuerId
            - ReutersOrgId
            - ShortName
            - Lei
            - RedCode
            - MarkitTicker
            - ReutersIssuerId
            - CBondsIssuerId
            - PermId
            - BloombergCompanyId
            - NotSet
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.IssuerIdentifier, Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifier:
      example:
        code: code
        market_identification_code: market_identification_code
        identifier_type: Derivitec
      properties:
        code:
          nullable: true
          type: string
        identifier_type:
          enum:
            - Derivitec
            - Ric
            - Bloomberg
            - Isin
            - Figi
            - Sedol
            - RedCode
            - RedPairCode
            - BloombergYellow
            - XIgniteCode
            - CBondsId
            - EdiSecId
            - EdiSymbol
            - NotSet
          type: string
        market_identification_code:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.InstrumentIdentifier,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````